<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class Cliente {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}

	public function buscaClientes($FIRST, $LAST, $NMRAZSOCCLIE){
		$params = array(
			':FIRST' => $FIRST,
			':LAST' => $LAST,
			':NMRAZSOCCLIE' => $NMRAZSOCCLIE			
		);

		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::BUSCA_CLIENTES, $params);
	}

	public function buscaClienteFilial($CDFILIAL){
		$params = array(
			':CDFILIAL' => $CDFILIAL		
		);

		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::BUSCA_CLIENTES_FILIAL, $params);
	}

	public function buscaDadosClienteCampanha($CDCAMPANHA){
		$params = array(
			':CDCAMPANHA'   => $CDCAMPANHA			
		);

		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::DADOS_CLIENTE_CAMPANHA, $params);
	}

	public function buscaDadosClienteCampBeneficio($CDCAMPANHA){
		$params = array(
			':CDCAMPANHA'   => $CDCAMPANHA			
		);

		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::DADOS_CLIENTE_CAMPBENEFICIO, $params);
	}

	public function buscaCentroCustoCliente($CDCLIENTE){
		$params = array(
			':CDCLIENTE'   => $CDCLIENTE			
		);

		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::BUSCA_CCUSCLIE, $params);
    }
}